# $Revision: 1.13 $, $Date: 2004/09/11 17:53:57 $
#
# TODO:
# real descriptions
# dev permissions
#
Summary:	Linux Terminal Server Project - Core system for terminals
Summary(pl):	Podstawowy system dla terminali z Linux Terminal Server Project
Name:		ltsp_core
Version:	3.0.9
Release:	3
License:	GPL
Group:		Applications/Networking
# Source0-md5:	4838e28c19a475e8cdd8d0b731b22264
Source0:	http://dl.sourceforge.net/ltsp/%{name}-%{version}-i386.tgz
URL:		http://www.ltsp.org/
AutoProv:	0
AutoReq:	0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ltspdir	/home/services/ltsp
%define		no_install_post_strip	1

%description
Q: How do you reduce costs AND save the planet?
A: Convert those old PCs into X terminals with LTSP.

This package contains core system for LTSP terminals.

%description -l pl
- Jak obniy koszty I ocali planet?
- Przeksztaci te stare pecety na X-terminale z uyciem LTSP.

Ten pakiet zawiera podstawowy system dla terminali LTSP.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_ltspdir},%{_sysconfdir}}

cd i386
cp -r {bin,dev,etc,lib,oldroot,opt,proc,root,sbin,tmp,usr} $RPM_BUILD_ROOT%{_ltspdir}
ln -sf /tmp/var $RPM_BUILD_ROOT%{_ltspdir}/var
ln -sf /tmp/mnt $RPM_BUILD_ROOT%{_ltspdir}/mnt
ln -sf %{_ltspdir}/etc/lts.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %{_sysconfdir}/lts.conf
%dir %{_ltspdir}
%attr(755,root,root) %{_ltspdir}/bin
# XXX: fix perms inside!!!
%dir %{_ltspdir}/dev
#%{_ltspdir}/dev/*
%dir %{_ltspdir}/etc
%config(noreplace) %{_ltspdir}/etc/*.conf
%attr(755,root,root) %{_ltspdir}/etc/rc*
%attr(755,root,root) %{_ltspdir}/etc/dhclient-script
%{_ltspdir}/etc/bashrc
%{_ltspdir}/etc/fstab
%{_ltspdir}/etc/group
%{_ltspdir}/etc/inittab
%{_ltspdir}/etc/ld.so.cache
%{_ltspdir}/etc/lts.orig
%{_ltspdir}/etc/lts.conf.readme
%{_ltspdir}/etc/ltsp_functions
%{_ltspdir}/etc/modules.devfs
%{_ltspdir}/etc/passwd
%{_ltspdir}/etc/protocols
%{_ltspdir}/etc/rpc
%{_ltspdir}/etc/services
%{_ltspdir}/etc/version
%attr(755,root,root) %{_ltspdir}/lib
%{_ltspdir}/mnt
%{_ltspdir}/oldroot
%{_ltspdir}/opt
%{_ltspdir}/proc
%{_ltspdir}/root
%attr(755,root,root) %{_ltspdir}/sbin
%{_ltspdir}/tmp
%dir %{_ltspdir}/usr
%attr(755,root,root) %{_ltspdir}/usr/bin
%attr(755,root,root) %{_ltspdir}/usr/lib
%attr(755,root,root) %{_ltspdir}/usr/sbin
%{_ltspdir}/usr/share
%{_ltspdir}/var

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ltsp_core.spec,v $
Revision 1.13  2004/09/11 17:53:57  wolf
- correct group
- rel++

Revision 1.12  2004/03/22 17:53:07  averne
- added lts.conf as %config
- rel 2 for Ac

Revision 1.11  2004/03/13 21:08:10  averne
- rel 1 for Ac

Revision 1.10  2003/08/18 08:08:19  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/04 09:05:22  misi3k
- updated to 3.0.9

Revision 1.8  2003/05/28 12:59:38  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:50:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/21 15:25:58  qboosh
- cleanups, missing dirs; possibly evil perms in dev?
- use AutoProv+AutoReq: 0 instead of putting everything in _noauto*

Revision 1.5  2003/02/27 11:14:21  djrzulf
- premisions fixed, now it boots remontly

Revision 1.4  2003/02/27 10:37:17  djrzulf
- fixed permisions, but something is still screwed

Revision 1.3  2003/02/27 10:23:39  djrzulf
- wrong permisions at /etc

Revision 1.2  2003/02/27 09:57:15  djrzulf
- added symlink to lts.conf

Revision 1.1  2003/02/27 09:38:56  djrzulf
- initial pld version
